#
# Conditional build:
%bcond_without	python3	# Python 3 binding
#
Summary:	Braille translator and back-translator library
Summary(pl.UTF-8):	Biblioteka tłumacząca na i z alfabetu Braille'a
Name:		liblouis
Version:	3.33.0
Release:	1
License:	LGPL v2.1+ (library), GPL v3+ (tools)
Group:		Libraries
#Source0Download: https://liblouis.io/downloads/
Source0:	https://github.com/liblouis/liblouis/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	1057f9a6fcd9c209f6fbf9a5e6e54727
Patch0:		%{name}-info.patch
URL:		https://liblouis.io/
BuildRequires:	help2man
BuildRequires:	pkgconfig
%{?with_python3:BuildRequires:	python3-modules >= 1:3.2}
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo >= 5
BuildRequires:	yaml-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Liblouis is an open-source braille translator and back-translator. It
features support for computer and literary braille, supports
contracted and uncontracted translation for many, many languages

%description -l pl.UTF-8
Liblouis to mający otwarte źródła tłumacz na i z alfabetu Braille'a.
Ma obsługę komputerowego i literackiego Braille'a, obowiązujących
i nie obowiązujących tłumaczeń dla naprawdę wielu języków.

%package devel
Summary:	Header files for liblouis library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liblouis
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for liblouis library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki liblouis.

%package static
Summary:	Static liblouis library
Summary(pl.UTF-8):	Statyczna biblioteka liblouis
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liblouis library.

%description static -l pl.UTF-8
Statyczna biblioteka liblouis.

%package -n python3-louis
Summary:	Python 3 ctypes binding for liblouis
Summary(pl.UTF-8):	Wiązania Pythona 3 oparte na ctypes do biblioteki liblouis
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description -n python3-louis
Python 3 ctypes binding for liblouis.

%description -n python3-louis -l pl.UTF-8
Wiązania Pythona 3 oparte na ctypes do biblioteki liblouis.

%prep
%setup -q
%patch -P 0 -p1

%{__sed} -i -e '1s,/usr/bin/env bash,/bin/bash,' tools/lou_maketable.d/lou_maketable.in

%build
%configure \
	--enable-ucs4

%{__make} -j1 \
	dlname="liblouis.so.20"

%if %{with python3}
cd python
LD_LIBRARY_PATH=$(pwd)/../liblouis/.libs \
%py3_build
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with python3}
cd python
LD_LIBRARY_PATH=$(pwd)/../liblouis/.libs \
%py3_install
cd ..
%endif

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/liblouis.la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/liblouis

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/lou_allround
%attr(755,root,root) %{_bindir}/lou_checkhyphens
%attr(755,root,root) %{_bindir}/lou_checktable
%attr(755,root,root) %{_bindir}/lou_checkyaml
%attr(755,root,root) %{_bindir}/lou_debug
%attr(755,root,root) %{_bindir}/lou_tableinfo
%attr(755,root,root) %{_bindir}/lou_trace
%attr(755,root,root) %{_bindir}/lou_translate
%attr(755,root,root) %{_libdir}/liblouis.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblouis.so.20
%{_datadir}/liblouis
%{_mandir}/man1/lou_allround.1*
%{_mandir}/man1/lou_checkhyphens.1*
%{_mandir}/man1/lou_checktable.1*
%{_mandir}/man1/lou_checkyaml.1*
%{_mandir}/man1/lou_debug.1*
%{_mandir}/man1/lou_tableinfo.1*
%{_mandir}/man1/lou_trace.1*
%{_mandir}/man1/lou_translate.1*

%files devel
%defattr(644,root,root,755)
%doc HACKING doc/liblouis.html
%attr(755,root,root) %{_libdir}/liblouis.so
%{_includedir}/liblouis
%{_pkgconfigdir}/liblouis.pc
%{_infodir}/liblouis.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/liblouis.a

%if %{with python3}
%files -n python3-louis
%defattr(644,root,root,755)
%doc python/README.md
%attr(755,root,root) %{_bindir}/lou_maketable
# FIXME: should be in %{_datadir} or %{_libexecdir}
%{_bindir}/lou_maketable.d
%dir %{py3_sitescriptdir}/louis
%{py3_sitescriptdir}/louis/__init__.py
%{py3_sitescriptdir}/louis/__pycache__
%{py3_sitescriptdir}/louis-%{version}-py*.egg-info
%endif
%changelog
* Mon May 05 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/liblouis.git;a=log;h=master

* Wed Apr 30 2025 Jakub Bogusz <qboosh@pld-linux.org> bdc8c4b
- updated to 3.33.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 3a5bea9
- Release 3 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 5650095
- use patch -P

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 736b224
- python 3.13 rebuild

* Sat Dec 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 21258f8
- updated to 3.32.0

* Sun Sep 22 2024 Jakub Bogusz <qboosh@pld-linux.org> 7733939
- updated to 3.31.0

* Sun Oct 29 2023 Jakub Bogusz <qboosh@pld-linux.org> b531e36
- updated to 3.27.0

* Thu Jul 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 3336a42
- updated to 3.26.0

* Wed May 17 2023 Jakub Bogusz <qboosh@pld-linux.org> 089f868
- new URL, updated to 3.25.0

* Thu Jun 09 2022 Jakub Bogusz <qboosh@pld-linux.org> dfe6a49
- updated to 3.22.0

* Wed Apr 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 068f4ba
- updated to 3.21.0

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> c201c5c
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 902dddc
- rebuild with python 3.10

* Mon Nov 01 2021 Jakub Bogusz <qboosh@pld-linux.org> cc5b134
- updated to 3.18.0
- python2 no longer supported; last version of python-louis (3.15.0) moved to python-louis.spec

* Sat Feb 27 2021 Jan Palus <atler@pld-linux.org> 77d8e55
- noarch python packages

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> aa400ca
- release 2 (by relup.sh)

* Fri Sep 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 274b828
- updated to 3.15.0
- fixed dlname for python modules

* Mon Apr 27 2020 Jakub Bogusz <qboosh@pld-linux.org> da195dc
- updated to 3.13.0

* Sun Dec 15 2019 Marcin Krol <hawk@tld-linux.org> 6f6ec41
- updated to 3.12.0 (new soname)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 8d195fc
- rebuild with python 3.8
- release 2 (by relup.sh)

